%global with_python3 1
%global srcname distribute
Name:           python-docopt
Version:        0.6.2
Release:        %mkrel 1
Summary:        Pythonic argument parser, that will make you smile
Group:          Development/Python
License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        http://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.xz

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
%endif

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

BuildArch:      noarch

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!


%if 0%{?with_python3}
%package -n python3-docopt
Summary:        Pythonic argument parser, that will make you smile - package for Python 3
%description -n python3-docopt
Isn't it awesome how optparse and argparse generate help messages
based on your code?!


%endif # with_python3

%prep
%setup -q -n docopt-%{version}

# remove upstream egg-info
rm -rf *.egg-info

# make a copy for python3 install
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info

%if 0%{?with_python3}
%files -n python3-docopt
%{python3_sitelib}/docopt.py*
%{python3_sitelib}/docopt-*.egg-info
%endif



%changelog
* Thu Dec 14 2017 adrianomorselli <adrianomorselli> 0.6.2-1uplos2017
- update
